
import numpy as np


from ai_economist.foundation.entities.resources import Resource, resource_registry

@resource_registry.add
class RawGem(Resource):
    """Raw Gem that can be processed further"""

    name = "Raw_Gem"
    color = np.array([241, 233, 219]) / 255.0
    collectible = True

@resource_registry.add
class Gem(Resource):
    """Proccesed Gem. Craftable."""

    name = "Gem"
    color = np.array([241, 233, 219]) / 255.0
    collectible = False
    craft_recp= {"Raw_Gem": 1}
    craft_labour_base= 1